> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Brand Kit

> Update an existing brand kit.



## OpenAPI

````yaml /openapi.json put /api/v1/brand-kits/{kit_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brand-kits/{kit_id}:
    put:
      tags:
        - Brand Kits
        - Brand Kits
      summary: Update Brand Kit
      description: Update an existing brand kit.
      operationId: update_brand_kit_api_v1_brand_kits__kit_id__put
      parameters:
        - name: kit_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Kit Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandKitUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandKitResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandKitUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
        brand_voice:
          anyOf:
            - type: string
              maxLength: 2000
              minLength: 10
            - type: 'null'
          title: Brand Voice
        tone_keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tone Keywords
        target_audience:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Target Audience
        language_preference:
          anyOf:
            - type: string
              maxLength: 10
            - type: 'null'
          title: Language Preference
        avoid_phrases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Avoid Phrases
        is_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Default
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        logo_icon_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Icon Url
        logo_dark_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Dark Url
        logo_square_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Square Url
        logo_wordmark:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Wordmark
        logo_wordmark_font:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Wordmark Font
        primary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Color
        secondary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Secondary Color
        accent_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent Color
        color_palette:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Color Palette
        font_headings:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Headings
        font_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Body
        imagery_style:
          anyOf:
            - type: string
            - type: 'null'
          title: Imagery Style
        brand_guidelines_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Guidelines Url
        tagline:
          anyOf:
            - type: string
            - type: 'null'
          title: Tagline
        mission_statement:
          anyOf:
            - type: string
            - type: 'null'
          title: Mission Statement
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        competitors:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Competitors
        seo_keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Seo Keywords
        content_pillars:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Content Pillars
        social_links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Social Links
        social_profiles:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Social Profiles
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Website Url
      type: object
      title: BrandKitUpdate
    BrandKitResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        brand_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Brand Id
        kit_type:
          type: string
          title: Kit Type
        name:
          type: string
          title: Name
        brand_voice:
          type: string
          title: Brand Voice
        tone_keywords:
          items:
            type: string
          type: array
          title: Tone Keywords
        target_audience:
          type: string
          title: Target Audience
        language_preference:
          type: string
          title: Language Preference
        avoid_phrases:
          items:
            type: string
          type: array
          title: Avoid Phrases
        is_default:
          type: boolean
          title: Is Default
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        logo_icon_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Icon Url
        logo_dark_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Dark Url
        logo_square_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Square Url
        logo_wordmark:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Wordmark
        logo_wordmark_font:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Wordmark Font
        primary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Color
        secondary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Secondary Color
        accent_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent Color
        color_palette:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Color Palette
        font_headings:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Headings
        font_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Font Body
        imagery_style:
          anyOf:
            - type: string
            - type: 'null'
          title: Imagery Style
        brand_guidelines_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Guidelines Url
        tagline:
          anyOf:
            - type: string
            - type: 'null'
          title: Tagline
        mission_statement:
          anyOf:
            - type: string
            - type: 'null'
          title: Mission Statement
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        competitors:
          items:
            type: string
          type: array
          title: Competitors
        seo_keywords:
          items:
            type: string
          type: array
          title: Seo Keywords
        content_pillars:
          items:
            type: string
          type: array
          title: Content Pillars
        social_links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Social Links
        social_profiles:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Social Profiles
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Website Url
        slides_template_r2_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Slides Template R2 Key
        slides_template_filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Slides Template Filename
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - kit_type
        - name
        - brand_voice
        - tone_keywords
        - target_audience
        - language_preference
        - avoid_phrases
        - is_default
        - created_at
        - updated_at
      title: BrandKitResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````